From 10c0810f6ba9b558d166cc4371d154fa3bccd5ea Mon Sep 17 00:00:00 2001
From: manisha <manisha_kanyal.scsebtech@galgotiasuniversity.edu.in>
Date: Jun 07 2021 06:18:44 +0000
Subject: [PATCH 3/9] stepper implementation for wizard


---

diff --git a/src/App.js b/src/App.js
index dbc93fe..8b8864d 100644
--- a/src/App.js
+++ b/src/App.js
@@ -6,7 +6,6 @@ import { BrowserRouter } from "react-router-dom"
 import Wizard from "./wizard/Wizard"
 import LandingPage from "./landingpage/LandingPage"
 import NotFound from "./NotFound"
-import ConnectingPage from "./wizard/ConnectingPage"
 
 class App extends Component {
   render() {
@@ -15,7 +14,7 @@ class App extends Component {
         <div>
           <Switch>
             <Route path="/" exact component={LandingPage} />
-            <Route path="/ConnectingPage" component={ConnectingPage} />
+
             <Route path="/wizard" component={Wizard} />
             <Route path="/landingpage" component={LandingPage} />
             <Route component={NotFound} />
diff --git a/src/wizard/Easyfix.js b/src/wizard/Easyfix.js
index 5e70370..ebccbfc 100644
--- a/src/wizard/Easyfix.js
+++ b/src/wizard/Easyfix.js
@@ -1,5 +1,4 @@
 import React, { Component } from "react"
-import { Row } from "reactstrap"
 import { CollapsableCard } from "./components"
 
 export default class Easyfix extends Component {
diff --git a/src/wizard/FedoraEasyKarma.js b/src/wizard/FedoraEasyKarma.js
index d4e6be6..830cce5 100644
--- a/src/wizard/FedoraEasyKarma.js
+++ b/src/wizard/FedoraEasyKarma.js
@@ -1,5 +1,5 @@
 import React, { Component } from "react"
-import { CollapsableBadge } from "./components"
+import { CollapsableBadge, ModalBadge } from "./components"
 
 export default class FedoraEasyKarmaItemsList extends Component {
   render() {
@@ -70,7 +70,7 @@ export default class FedoraEasyKarmaItemsList extends Component {
                 Run <code>fedora-easy-karma --fas-username=FAS_USERNAME</code>, and look for{" "}
                 <code>Bugs</code>, <code>Test Cases</code>, and/or <code>Notes</code> sections in
                 the detailed output.{" "}
-                <CollapsableBadge expand_text="Want something a bit nicer?">
+                <ModalBadge expand_text="Want something a bit nicer?">
                   We already mentioned Bodhi, several times. Instead of using the{" "}
                   <code>fedora-easy-karma</code> interface for submitting Karma and/or learning
                   about the Update, you can visit Bodhi directly.
@@ -82,7 +82,7 @@ export default class FedoraEasyKarmaItemsList extends Component {
                   You can have a look at other people's comments, the afore-mentioned Bugs or Test
                   Cases, and even submit the Karma directly. Just use your FAS credentials to
                   log-in.
-                </CollapsableBadge>
+                </ModalBadge>
               </CollapsableBadge>
             </li>
             <li>
@@ -94,7 +94,7 @@ export default class FedoraEasyKarmaItemsList extends Component {
                 <br />
                 You are then presented with the relevant updates one-by-one, to submit Karma and a
                 comment.{" "}
-                <CollapsableBadge expand_text="Not sure what Karma means?">
+                <ModalBadge expand_text="Not sure what Karma means?">
                   <ol>
                     <li>
                       Enter <code>1</code> to mark positive karma (the update works just fine, as
@@ -123,7 +123,7 @@ export default class FedoraEasyKarmaItemsList extends Component {
                       it in the comment.
                     </li>
                   </ol>
-                </CollapsableBadge>
+                </ModalBadge>
               </CollapsableBadge>
             </li>
             <li>
diff --git a/src/wizard/FedoraManualTesting.js b/src/wizard/FedoraManualTesting.js
index 21fbc21..9ef1f50 100644
--- a/src/wizard/FedoraManualTesting.js
+++ b/src/wizard/FedoraManualTesting.js
@@ -1,6 +1,6 @@
 import React, { Component } from "react"
 import { Modal, ModalHeader, ModalBody, ModalFooter } from "reactstrap"
-import { CollapsableCard, CollapsableBadge } from "./components"
+import { CollapsableCard, ModalBadge } from "./components"
 
 export default class FedoraManualTesting extends Component {
   render() {
@@ -106,7 +106,7 @@ class FedoraManualTestingItemsListSub1 extends Component {
     }
 
     return (
-      <CollapsableCard title={l1} expand_text="Show me!" expand_class="primary">
+      <CollapsableCard title={l1} expand_text="See" expand_class="primary">
         {subsections}
       </CollapsableCard>
     )
@@ -167,7 +167,7 @@ class FedoraManualTestingItem extends Component {
             <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
               Tescase matrix
             </a>{" "}
-            <CollapsableBadge expand_text="Not sure what that means?">
+            <ModalBadge expand_text="Not sure what that means?">
               <ul>
                 <li>
                   Have a look at the matrix. The rows are the testcases, and the columns are the
@@ -181,7 +181,7 @@ class FedoraManualTestingItem extends Component {
                   results.
                 </li>
               </ul>
-            </CollapsableBadge>
+            </ModalBadge>
           </li>
 
           <li>
@@ -190,7 +190,7 @@ class FedoraManualTestingItem extends Component {
               Testcase
             </a>{" "}
             briefly, just to have a general idea of what you will be doing.{" "}
-            <CollapsableBadge expand_text="Not making much sense?">
+            <ModalBadge expand_text="Not making much sense?">
               The testcases are generally split into four sections:
               <ul>
                 <li>
@@ -210,7 +210,7 @@ class FedoraManualTestingItem extends Component {
                   order to decide whether it Passed of Failed
                 </li>
               </ul>
-            </CollapsableBadge>
+            </ModalBadge>
           </li>
 
           <li>
@@ -222,7 +222,7 @@ class FedoraManualTestingItem extends Component {
               here
             </a>
             .{" "}
-            <CollapsableBadge expand_text="Not sure how?">
+            <ModalBadge expand_text="Not sure how?">
               <ul>
                 <li>
                   Most of the time Workstation Live, or Server DVD are fine, but sometimes there
@@ -230,7 +230,7 @@ class FedoraManualTestingItem extends Component {
                 </li>
                 <li>
                   Make sure to read about identifying the environment above.{" "}
-                  <CollapsableBadge expand_text="Show me!">
+                  <ModalBadge expand_text="See">
                     <ul>
                       <li>
                         Have a look at the matrix. The rows are the testcases, and the columns are
@@ -245,10 +245,10 @@ class FedoraManualTestingItem extends Component {
                         missing results.
                       </li>
                     </ul>
-                  </CollapsableBadge>
+                  </ModalBadge>
                 </li>
               </ul>
-            </CollapsableBadge>
+            </ModalBadge>
           </li>
 
           <li>
@@ -257,11 +257,11 @@ class FedoraManualTestingItem extends Component {
               Testcase
             </a>{" "}
             thoroughly, to be sure you know what to do.{" "}
-            <CollapsableBadge expand_text="Feeling a bit lost?">
+            <ModalBadge expand_text="Feeling a bit lost?">
               <ul>
                 <li>
                   The testcase structure is not making sense?{" "}
-                  <CollapsableBadge expand_text="Click here">
+                  <ModalBadge expand_text="Click here">
                     The testcases are generally split into four sections:
                     <ul>
                       <li>
@@ -281,12 +281,12 @@ class FedoraManualTestingItem extends Component {
                         testing in order to decide whether it Passed of Failed
                       </li>
                     </ul>
-                  </CollapsableBadge>
+                  </ModalBadge>
                 </li>
                 <li>
                   Maybe you are stuck, or just do not understand something? Feel free to ask on our
                   IRC channel #fedora-qa at freenode.net{" "}
-                  <CollapsableBadge expand_text="Don&#39;t have an IRC client?">
+                  <ModalBadge expand_text="Don&#39;t have an IRC client?">
                     If you are not that familiar with IRC, you can use the{" "}
                     <a
                       target="_blank"
@@ -296,15 +296,15 @@ class FedoraManualTestingItem extends Component {
                     </a>{" "}
                     just enter a Nickname of your choice, #fedora-qa (including the hash sign) in
                     the Channels field, and click Connect.
-                  </CollapsableBadge>
+                  </ModalBadge>
                 </li>
               </ul>
-            </CollapsableBadge>
+            </ModalBadge>
           </li>
 
           <li>Get your hands dirty, and test the hell out of it!</li>
           <li>
-            <CollapsableBadge expand_class="success" expand_text="Everything went well" type="btn">
+            <ModalBadge expand_class="success" expand_text="Everything went well" type="btn">
               Great! Either use <code>relval report-results</code> on command line (make sure to
               install the <code>relval</code> package first), or modify the{" "}
               <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
@@ -313,9 +313,9 @@ class FedoraManualTestingItem extends Component {
               directly by clicking on the <code>Edit</code> link next to the Matrice's header, and
               put <code>&#123;&#123;result|pass|YOUR_NAME_HERE|&#125;&#125;</code> in the
               appropriate spot.
-            </CollapsableBadge>
+            </ModalBadge>
 
-            <CollapsableBadge expand_class="danger" expand_text="I found a bug!" type="btn">
+            <ModalBadge expand_class="danger" expand_text="I found a bug!" type="btn">
               Awesome! Ideally read up on https://fedoraproject.org/wiki/How_to_file_a_bug_report
               <br />
               If you don't feel like reading a wall of text, at least pot together a small document
@@ -341,11 +341,11 @@ class FedoraManualTestingItem extends Component {
                 <li>
                   Share your notes on the internet (you can use fpaste), and ask for help with
                   filing the bug report on our IRC channel #fedora-qa at freenode.net{" "}
-                  <CollapsableBadge expand_text="Don&#39;t have an IRC client?">
+                  <ModalBadge expand_text="Don&#39;t have an IRC client?">
                     If you are not that familiar with IRC, you can use the web-interface[link] just
                     enter a Nickname of your choice, #fedora-qa (including the hash sign) in the
                     Channels field, and click Connect.
-                  </CollapsableBadge>
+                  </ModalBadge>
                 </li>
               </ul>
               Once you get the Bug reported, make sure to also submit the result into the testing
@@ -357,7 +357,7 @@ class FedoraManualTestingItem extends Component {
               directly by clicking on the <code>Edit</code> link next to the Matrice's header, and
               put <code>&#123;&#123;result|fail|YOUR_NAME_HERE|BUG_NUMBER|&#125;&#125;</code> in
               the appropriate spot.
-            </CollapsableBadge>
+            </ModalBadge>
           </li>
         </ol>
       </ModalInfo>
diff --git a/src/wizard/Wizard.js b/src/wizard/Wizard.js
index 9ffd598..cfb7561 100644
--- a/src/wizard/Wizard.js
+++ b/src/wizard/Wizard.js
@@ -4,7 +4,7 @@ import { Card, CardBody, Col, Container, Row } from "reactstrap"
 
 import { connect } from "react-redux"
 import { loadWizardData } from "../actions/reduxActions"
-import Wizard2 from "./Wizard2"
+import WizardStepper from "./WizardStepper"
 
 class Wizard extends Component {
   constructor(props) {
@@ -66,20 +66,24 @@ class Wizard extends Component {
       <Layout apiCallStatus={this.props.api_call_status}>
         {/* <Card className=" d-flex justify-content-center">
           <CardBody> */}
-        <Row className="justify-content-center align-items-center">
-          <Col md="12">
-            <Wizard2 steps={this.state.steps} onNext={this.onNext} onPrev={this.onPrev} />
-          </Col>
-          {this.state.steps.currentStep === "STEP1" ? (
+        <Container>
+          <Row className="justify-content-center align-items-center">
             <Col md="12">
-              <h1 className="padded text-center">Nothing sparked joy?</h1>
-              <h4 className="padded text-center">
-                None of the above looks interesting to you? We'd be happy if you looked around at{" "}
-                <a href="https://whatcanidoforfedora.org/">https://whatcanidoforfedora.org/</a>!
-              </h4>
+              <WizardStepper steps={this.state.steps} onNext={this.onNext} onPrev={this.onPrev} />
+              {this.state.steps.currentStep === "STEP1" ? (
+                <Col md="12">
+                  <h1 className="padded text-center">Nothing sparked joy?</h1>
+                  <h4 className="padded text-center">
+                    None of the above looks interesting to you? We'd be happy if you looked around
+                    at{" "}
+                    <a href="https://whatcanidoforfedora.org/">https://whatcanidoforfedora.org/</a>
+                    !
+                  </h4>
+                </Col>
+              ) : null}
             </Col>
-          ) : null}
-        </Row>
+          </Row>
+        </Container>
         {/* </CardBody>
         </Card> */}
       </Layout>
diff --git a/src/wizard/WizardStepper.js b/src/wizard/WizardStepper.js
new file mode 100644
index 0000000..a5e84ad
--- /dev/null
+++ b/src/wizard/WizardStepper.js
@@ -0,0 +1,25 @@
+import React from "react"
+import { Container, Row } from "reactstrap"
+import Step1 from "./step/Step1"
+import Step2 from "./step/Step2"
+import Step3 from "./step/Step3"
+import Step4 from "./step/Step4"
+
+const WizardStepper = (props) => {
+  const {
+    steps: { currentStep },
+  } = props
+
+  return (
+    <Container className="wrapper">
+      <div className="wizard">
+        {currentStep === "STEP1" && <Step1 {...props} />}
+        {currentStep === "STEP2" && <Step2 {...props} />}
+        {currentStep === "STEP3" && <Step3 {...props} />}
+        {currentStep === "STEP4" && <Step4 {...props} />}
+      </div>
+    </Container>
+  )
+}
+
+export default WizardStepper
diff --git a/src/wizard/components.js b/src/wizard/components.js
index b849d70..85b7471 100644
--- a/src/wizard/components.js
+++ b/src/wizard/components.js
@@ -6,9 +6,7 @@ import {
   UncontrolledCollapse,
   Row,
   Modal,
-  ModalHeader,
   ModalBody,
-  Col,
   ModalFooter,
   Button,
 } from "reactstrap"
@@ -37,30 +35,15 @@ class CollapsableCard extends Component {
       <Card>
         <CardHeader>
           <Row>
-            <div className="col-md-11">{title}</div>
-
-            <div className="col-md-1">
-              <Button
-                color="primary"
-                className="padded btn float-right"
-                onClick={this.toggleModal}>
-                "Show me!
-              </Button>{" "}
-              <Modal isOpen={this.state.showModal} toggle={this.toggleModal}>
-                <ModalBody>{children}</ModalBody>
-                <ModalFooter>
-                  <Button color="primary" onClick={this.toggleModal}>
-                    Close
-                  </Button>
-                </ModalFooter>
-              </Modal>
-              {/* <Toggler id={id} color={expand_class} text={expand_text} /> */}
+            <div className="col-sm-10">{title}</div>
+            <div className="col-sm-2">
+              <Toggler id={id} color={expand_class} text={expand_text} />
             </div>
           </Row>
         </CardHeader>
-        {/* <UncontrolledCollapse toggler={"#" + id}>
+        <UncontrolledCollapse toggler={"#" + id}>
           <CardBody>{children}</CardBody>
-        </UncontrolledCollapse> */}
+        </UncontrolledCollapse>
       </Card>
     )
   }
@@ -86,14 +69,6 @@ class CollapsableBadge extends Component {
     const id = uniqueID("collapsable-badge-id-")
     return (
       <span>
-        {/* <a className={type + " " + type + "-" + expand_class} href="#" id={id} role="button">
-          {expand_text}
-        </a>
-        <UncontrolledCollapse toggler={"#" + id}>
-          <Card>
-            <CardBody>{children}</CardBody>
-          </Card>
-        </UncontrolledCollapse> */}
         <Button
           className={type + " " + type + "-" + expand_class}
           href="#"
@@ -106,7 +81,7 @@ class CollapsableBadge extends Component {
           <ModalBody>{children}</ModalBody>
           <ModalFooter>
             <Button color="primary" onClick={this.toggleModal}>
-              Close
+              Close <i class="fas fa-times-circle"></i>
             </Button>
           </ModalFooter>
         </Modal>
@@ -115,21 +90,46 @@ class CollapsableBadge extends Component {
   }
 }
 
+class ModalBadge extends Component {
+  render() {
+    const { expand_text, expand_class, children, type } = this.props
+    const id = uniqueID("collapsable-badge-id-")
+    return (
+      <span>
+        <Button className={type + " " + type + "-" + expand_class} href="#" id={id} role="button">
+          {expand_text}
+        </Button>
+
+        <UncontrolledCollapse toggler={"#" + id} className="actions">
+          <Card>
+            <CardBody>{children}</CardBody>
+          </Card>
+        </UncontrolledCollapse>
+      </span>
+    )
+  }
+}
+
 CollapsableBadge.defaultProps = {
   type: "badge",
   expand_class: "primary",
 }
 
+ModalBadge.defaultProps = {
+  type: "badge",
+  expand_class: "primary",
+}
+
 class Toggler extends Component {
   render() {
     const { id, text, color } = this.props
     const classes = "btn btn-sm float-right btn-" + color
     return (
       <button className={classes} href="#" id={id}>
-        {text}
+        {text} <i class="fas fa-compass"></i>
       </button>
     )
   }
 }
 
-export { CollapsableCard, CollapsableBadge }
+export { CollapsableCard, CollapsableBadge, ModalBadge }
diff --git a/src/wizard/step/Step1.js b/src/wizard/step/Step1.js
index 4e34923..7d00f14 100644
--- a/src/wizard/step/Step1.js
+++ b/src/wizard/step/Step1.js
@@ -1,9 +1,12 @@
 import React, { useState } from "react"
-import { Card, CardBody, CardTitle, CardText, Button, Col, Row, Container } from "reactstrap"
+import { Card, CardText, Button, Col, Row } from "reactstrap"
 
 const Step1 = (props) => {
-  const [selectedItem, setItem] = useState(null)
-  const { onNext, onPrev, step } = props
+  const { onNext, onPrev, steps } = props
+  const {
+    step: { STEP1 },
+  } = steps
+  const [selectedItem, setItem] = useState(STEP1)
 
   const handleStep = (option) => {
     setItem(option)
@@ -12,7 +15,7 @@ const Step1 = (props) => {
   return (
     <Row className="padded">
       <Col sm="12">
-        <h1 className="text-center">
+        <h1 className="event text-center">
           Click on any of the below card to see data of your choice and press next
         </h1>
       </Col>
@@ -26,8 +29,10 @@ const Step1 = (props) => {
           onClick={() => {
             handleStep("SEVERAL_DAYS")
           }}>
-          <h1 className="padded">Several Days</h1>
-          <CardText>click on the card to view Several Days </CardText>
+          <h1 className="padded">
+            Several Days <i class="fas fa-calendar-week"></i>
+          </h1>
+          <CardText>Task that can take up to Several Days </CardText>
         </Card>
       </Col>
       <Col sm="6">
@@ -40,19 +45,21 @@ const Step1 = (props) => {
           onClick={() => {
             handleStep("FEW_HOURS")
           }}>
-          <h1 className="padded">Few Hours</h1>
-          <CardText>click on the card to view Few Hours </CardText>
+          <h1 className="padded">
+            Few Hours <i class="fas fa-calendar-day"></i>
+          </h1>
+          <CardText>Task that can take up to Few Hours </CardText>
         </Card>
       </Col>
-      <Col sm="12">
+      <Col sm="12" className="d-flex justify-content-around">
         <Button
           color="primary"
-          className="padded btn float-right"
+          className="actions float-right"
           disabled={selectedItem === null}
           onClick={() => {
             onNext("STEP1", selectedItem)
           }}>
-          Next
+          Next <i class="fas fa-chevron-circle-right"></i>
         </Button>
       </Col>
     </Row>
diff --git a/src/wizard/step/Step2.js b/src/wizard/step/Step2.js
index 4bc5a69..3694c8e 100644
--- a/src/wizard/step/Step2.js
+++ b/src/wizard/step/Step2.js
@@ -3,13 +3,14 @@ import { shallowEqual, useSelector } from "react-redux"
 import { Card, CardBody, CardTitle, CardText, Button, Row, Col } from "reactstrap"
 
 const Step2 = (props) => {
-  const [selectedItem, setItem] = useState(null)
   const {
     onNext,
     onPrev,
     steps: { step },
   } = props
 
+  const [selectedItem, setItem] = useState(step.STEP2)
+
   const handleStep = (option) => {
     setItem(option)
   }
@@ -21,8 +22,24 @@ const Step2 = (props) => {
   const fewHours = providers.filter((provider) => provider.duration === 3)
   const severalDays = providers.filter((provider) => provider.duration === 72)
 
+  const getIcon = (type) => {
+    switch (type) {
+      case "fedora_manual_testing":
+        return <i class="fas fa-user-check"></i>
+      case "easy_fix":
+        return <i class="fas fa-magic"></i>
+      default:
+        return <i class="fab fa-fedora"></i>
+    }
+  }
+
   return (
-    <Row>
+    <Row className="justify-content-center">
+      <Col sm="12">
+        <h1 className="event text-center">
+          Click on any of the below card to see data of your choice and press next
+        </h1>
+      </Col>
       {step.STEP1 === "SEVERAL_DAYS" && (
         <>
           {severalDays.map((item) => (
@@ -36,7 +53,9 @@ const Step2 = (props) => {
                   handleStep(item.provider)
                 }}>
                 <CardBody>
-                  <CardTitle tag="h5">{item.name}</CardTitle>
+                  <CardTitle tag="h4">
+                    {item.name} {getIcon(item.provider)}
+                  </CardTitle>
                   <CardText>{item.description}</CardText>
                 </CardBody>
               </Card>
@@ -58,7 +77,9 @@ const Step2 = (props) => {
                   handleStep(item.provider)
                 }}>
                 <CardBody>
-                  <CardTitle tag="h5">{item.name}</CardTitle>
+                  <CardTitle tag="h4">
+                    {item.name} {getIcon(item.provider)}
+                  </CardTitle>
                   <CardText>{item.description}</CardText>
                 </CardBody>
               </Card>
@@ -66,21 +87,21 @@ const Step2 = (props) => {
           ))}
         </>
       )}
-      <Col sm="12">
+      <Col sm="12" className="d-flex justify-content-around">
         <Button
-          className="padded float-left"
+          className="actions float-left"
           color="primary"
           onClick={() => {
             onPrev("STEP1")
           }}>
-          Previous
+          <i class="fas fa-chevron-circle-left"></i> Previous
         </Button>
         <Button
           color="primary"
-          className="padded btn float-right"
+          className="actions btn float-right"
           disabled={selectedItem === null}
           onClick={(e) => onNext("STEP2", selectedItem)}>
-          Next
+          Next <i class="fas fa-chevron-circle-right"></i>
         </Button>
       </Col>
     </Row>
diff --git a/src/wizard/step/Step3.js b/src/wizard/step/Step3.js
index 9440e0a..af126a1 100644
--- a/src/wizard/step/Step3.js
+++ b/src/wizard/step/Step3.js
@@ -1,21 +1,20 @@
 import React, { useState } from "react"
 import { shallowEqual, useSelector } from "react-redux"
-import { Card, CardBody, CardTitle, CardText, Button, Col, Row } from "reactstrap"
+import { Card, CardBody, CardTitle, Button, Col, Row } from "reactstrap"
 
 import FedoraManualTesting from "../FedoraManualTesting"
 import FedoraEasyKarma from "../FedoraEasyKarma"
-import Easyfix from "../Easyfix"
 import * as R from "ramda"
-import Step2 from "./Step2"
 
 const Step3 = (props) => {
-  const [selectedItem, setItem] = useState(null)
   const {
     onNext,
     onPrev,
     steps: { step },
   } = props
 
+  const [selectedItem, setItem] = useState(step.STEP3)
+
   const handleStep = (option) => {
     setItem(option)
   }
@@ -50,17 +49,34 @@ const Step3 = (props) => {
     return tags
   }
 
+  const getLanguageIcon = (lang) => {
+    switch (lang) {
+      case "Python":
+        return <i class="fab fa-python"></i>
+      case "JavaScript":
+        return <i class="fab fa-js-square"></i>
+      case "HTML":
+        return <i class="fab fa-html5"></i>
+      case "PHP":
+        return <i class="fab fa-php"></i>
+      default:
+        return <i class="fas fa-terminal"></i>
+    }
+  }
+
   return (
     <Row>
       {step.STEP2 === "fedora_manual_testing" && (
         <Col sm="12">
           <FedoraManualTesting data={manualTestingData} key="fmtl" />
+
           <Button
             onClick={() => {
               onPrev("STEP2")
             }}
+            className="actions btn float-left"
             color="primary">
-            Previous
+            <i class="fas fa-chevron-circle-left"></i> Previous
           </Button>
         </Col>
       )}
@@ -73,17 +89,23 @@ const Step3 = (props) => {
             </CardBody>
           </Card>
           <Button
-            className="padded btn float-left"
+            className="actions btn float-left"
             color="primary"
             onClick={() => {
               onPrev("STEP2")
             }}>
-            Previous
+            <i class="fas fa-chevron-circle-left"></i> Previous
           </Button>
         </Col>
       )}
       {step.STEP2 === "easyfix" && (
         <>
+          <Col sm="12">
+            <h1 className="event text-center">
+              Click on any of the below card to see programming language of your choice and press
+              next
+            </h1>
+          </Col>
           {getData().map((lang) => (
             <Col sm="6">
               <Card
@@ -94,26 +116,28 @@ const Step3 = (props) => {
                   handleStep(lang)
                 }}>
                 <CardBody>
-                  <CardTitle tag="h1">{lang}</CardTitle>
+                  <CardTitle tag="h1">
+                    {lang} {getLanguageIcon(lang)}{" "}
+                  </CardTitle>
                 </CardBody>
               </Card>
             </Col>
           ))}
           <Col md="12">
             <Button
-              className="padded btn float-left"
+              className="actions btn float-left"
               color="primary"
               onClick={() => {
                 onPrev("STEP2")
               }}>
-              Previous
+              <i class="fas fa-chevron-circle-left"></i> Previous
             </Button>
             <Button
               color="primary"
-              className="padded btn float-right"
+              className="actions btn float-right"
               disabled={selectedItem === null}
               onClick={(e) => onNext("STEP3", selectedItem)}>
-              Next
+              <i class="fas fa-chevron-circle-right"></i> Next
             </Button>
           </Col>
         </>
diff --git a/src/wizard/step/Step4.js b/src/wizard/step/Step4.js
index bd2b774..357f11e 100644
--- a/src/wizard/step/Step4.js
+++ b/src/wizard/step/Step4.js
@@ -1,11 +1,10 @@
-import React, { useState } from "react"
-import { Card, CardBody, CardTitle, CardText, Button, Row, Col } from "reactstrap"
+import React from "react"
+import { Button, Row, Col } from "reactstrap"
 import { shallowEqual, useSelector } from "react-redux"
 import * as R from "ramda"
 import Easyfix from "../Easyfix"
 
 const Step4 = (props) => {
-  const [selectedItem, setItem] = useState(null)
   const {
     onNext,
     onPrev,
@@ -35,24 +34,20 @@ const Step4 = (props) => {
 
   const easyfixTestingData = processData(getData() || [], "repo_org", "repo_name")
 
-  const handleStep = (option) => {
-    setItem(option)
-  }
-
   return (
     <Row>
       <Col sm="12">
         <Easyfix data={easyfixTestingData} key="easyfix" />
-      </Col>
 
-      <Button
-        className="padded btn float-left"
-        color="primary"
-        onClick={() => {
-          onPrev("STEP3")
-        }}>
-        Previous
-      </Button>
+        <Button
+          className="actions btn float-left"
+          color="primary"
+          onClick={() => {
+            onPrev("STEP3")
+          }}>
+          <i class="fas fa-chevron-circle-left"></i> Previous
+        </Button>
+      </Col>
     </Row>
   )
 }

